%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(Net/Radius/Dictionary.pm) perl(Net/Radius/Packet.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Net-Radius-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Pure-Perl, VSA-empowered RADIUS client
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IL/ILYA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The `query' routine tries to deliver request to RADIUS server(s)
and returns its response whenever successful.

RADIUS servers to query are represented as a hash carrying
network-scope details. See SYNOPSIS for more information.

RADIUS attribute-value pairs for both request and response
take shape of a two-dimentional hash-ref first indexed by 
attribute vendor ID (0 for IETF) and then by attribute name
(as configured in the "dictionary"). Since RADIUS protocol allows 
for multiple attributes of the same type in packet, value(s) of 
each attribute are kept in a list. See SYNOPSIS for guidance.

The `load' routine loads up RADIUS dictionary file, as specified
by its first parameter, and should be called once on startup.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README example
%perl_vendor_privlib/N*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

